# $Revision: 1.15 $, $Date: 2007-02-13 08:06:35 $
Summary:	User-space programs for Dell Inspiron and Latitude laptops
Summary(pl.UTF-8):	Programy przestrzeni użytkownika dla laptopów Dell Inspiron i Latitude
Name:		i8kutils
Version:	1.25
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://people.debian.org/~dz/i8k/%{name}_%{version}.tar.gz
# Source0-md5:	50c03dde689c5709406118a7c6c120db
Source1:	%{name}.init
Source2:	i8kbuttons.aumix
Source3:	i8kbuttons.conf
URL:		http://people.debian.org/~dz/i8k/
Requires:	aumix
Requires:	tcl 
Requires:	tk 
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains a user-space programs for accessing the SMM BIOS
of Dell Inspiron and Latitude laptops. The SMM BIOS is used on many
recent laptops to implement APM functionalities and to access custom
hardware, for example the cooling fans and volume buttons.

%description -l pl.UTF-8
Ten pakiet zawiera programy działające w przestrzeni użytkownika
służące do dostępu do SMM BIOS-u laptopów Dell Inspiron i Latitude.
SMM BIOS w nowych laptopach służy do implementowania funkcjonalności
APM i dostępu do specyficznego sprzętu, na przykład wiatraczków
chłodzących i przycisków głośności.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -d $RPM_BUILD_ROOT%{_mandir}/man1

install i8kmon.conf $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}
install i8kbuttons.1 i8kctl.1 i8kmon.1 $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo
echo "Now modprobe i8k module."
echo
echo "Since than you'll be able to control fans and buttons."
echo

%files
%defattr(644,root,root,755)
%doc README.i8kutils examples
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.conf
%attr(754,root,root) /etc/rc.d/init.d/i8kutils
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: i8kutils.spec,v $
Revision 1.15  2007-02-13 08:06:35  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.13  2005/12/12 16:24:19  glen
- adapterized (sorted %verify attrs)

Revision 1.12  2004/12/27 23:18:36  havner
- EA for x86, afair dell doesn't make other laptops

Revision 1.11  2004/12/27 01:25:55  havner
- rel 1

Revision 1.10  2004/12/23 02:18:36  havner
- rel 0.4

Revision 1.9  2004/12/17 16:58:46  havner
- rel 0.3

Revision 1.8  2004/10/07 10:30:39  qboosh
- optflags, removed COPYING from doc (just GPL)

Revision 1.7  2004/09/24 23:54:29  ankry
- cosmetics

Revision 1.6  2004/09/24 20:19:02  pawelb
- added BR

Revision 1.5  2004/09/17 10:56:09  qboosh
- moved md5 to standard place, killed invalid sysconfdir usage

Revision 1.4  2004/09/17 10:48:39  averne
- added new init-script
- added i8kbuttons.conf
- cleanups
- works fine

Revision 1.3  2004/09/17 09:55:39  averne
- fixed %install

Revision 1.2  2004/09/16 18:06:09  qboosh
- pl, some cleanups (nf, so release 0.1)
